%
% Copyright (c) 2015, Yarpiz (www.yarpiz.com)
% All rights reserved. Please read the "license.txt" for license terms.
%
% Project Code: YPAP113
% Project Title: Solving Economic Dispatching using PSO in MATLAB
% Publisher: Yarpiz (www.yarpiz.com)
% 
% Developer: S. Mostapha Kalami Heris (Member of Yarpiz Team)
% 
% Contact Info: sm.kalami@gmail.com, info@yarpiz.com
%

function P=ParseSolution(x,model)

    PminActual=model.Plants.PminActual;
    PmaxActual=model.Plants.PmaxActual;
    
    P=PminActual+(PmaxActual-PminActual).*x;
    
    PZ=model.Plants.PZ;
    
    nPlant=model.nPlant;
    for i=1:nPlant
        for j=1:numel(PZ{i})
            if P(i)>PZ{i}{j}(1) && P(i)<PZ{i}{j}(2)
                % Correction
                if P(i)<(PZ{i}{j}(1)+PZ{i}{j}(2))/2
                    P(i)=PZ{i}{j}(1);
                else
                    P(i)=PZ{i}{j}(2);
                end
            end
        end
    end

end