%
% Copyright (c) 2015, Yarpiz (www.yarpiz.com)
% All rights reserved. Please read the "license.txt" for license terms.
%
% Project Code: YPAP113
% Project Title: Solving Economic Dispatching using Nested PSO in MATLAB
% Publisher: Yarpiz (www.yarpiz.com)
% 
% Developer: S. Mostapha Kalami Heris (Member of Yarpiz Team)
% 
% Contact Info: sm.kalami@gmail.com, info@yarpiz.com
%

function extmodel=CreateModel()

    extmodel.PD=1263;
    
    extmodel.Plants.F=[50000 35000 40000 28000 32000 22000];
    extmodel.Plants.Pmin=[100 50 80 50 50 50];
    extmodel.Plants.Pmax=[500 200 300 150 200 120];
    extmodel.Plants.alpha=[240 200 220 200 220 190];
    extmodel.Plants.beta=[7 10 8.5 11 10.5 12];
    extmodel.Plants.gamma=[0.007 0.0095 0.009 0.009 0.008 0.0075];
    extmodel.Plants.PZ{1}={[210 240],[350 380]};
    extmodel.Plants.PZ{2}={[90 110],[140 160]};
    extmodel.Plants.PZ{3}={[150 170],[210 240]};
    extmodel.Plants.PZ{4}={[80 90],[110 120]};
    extmodel.Plants.PZ{5}={[90 110],[140 150]};
    extmodel.Plants.PZ{6}={[75 85],[100 105]};
    
    extmodel.EmptyPlant.F=0;
    extmodel.EmptyPlant.Pmin=0;
    extmodel.EmptyPlant.Pmax=0;
    extmodel.EmptyPlant.alpha=0;
    extmodel.EmptyPlant.beta=0;
    extmodel.EmptyPlant.gamma=0;
    extmodel.EmptyPlant.PZ={};
    
    extmodel.nPlant=numel(extmodel.Plants.alpha);
    
    extmodel.B=[ 0.0017  0.0012  0.0007 -0.0001 -0.0005 -0.0002
                 0.0012  0.0014  0.0009  0.0001 -0.0006 -0.0001
                 0.0007  0.0009  0.0031  0.0000 -0.0010 -0.0006
                -0.0001  0.0001  0.0000  0.0024 -0.0006 -0.0008
                -0.0005 -0.0006 -0.0010 -0.0006  0.0129 -0.0002
                -0.0002 -0.0001 -0.0006 -0.0008 -0.0002  0.0150]/40;

    extmodel.B0=1e-3*[-0.3908 -0.1279 0.7047 0.0591 0.2161 -0.6635];
    
    extmodel.B00=0.056;

end